P'mon Platinum, M&L, Kingdom Hearts. M3i or Cyclods?

Discussion in 'NDS - Flashcarts and Accessories' started by kohkindachi, Dec 4, 2009.

  1. kohkindachi
    OP

    kohkindachi GBAtemp Fan

    Member
    464
    1
    Sep 7, 2006
    Senegal
    Hi guys I'm referring to P'mon Platinum and the latest M&L, Kingdom Hearts.

    1) Is it Cyclods or MSi that can play most of the 3 games without patching as soon as it's out? Or both the same
    2) Which of the 2 can play ALL 3 games NOW.
    3) Which if the 2 have better compatibility for LATEST released roms
    4) Roudolph patcher, which cart works with Roudolph patcher?


    Thanks
     
  2. rikuumi

    rikuumi GBAtemp Advanced Fan

    Member
    586
    1
    Oct 2, 2008
    United States
    WA
    Hey. This is fun post.
     
  3. Blaze163

    Blaze163 The White Phoenix's purifying flame.

    Member
    3,769
    789
    Nov 19, 2008
    Coventry, UK
    I have a Cyclo DS Evo on firmware 1.56 beta 3 and I can confirm that all three games work. I don't recall patching any of them either. I know Pokemon and Kingdom Hearts don't need any help on Beta 3, I can't remember if M+L needs a code or not but it certainly works.
     
  4. Goli

    Goli RPG

    Member
    2,571
    2
    Jul 16, 2008
    Cote d'Ivoire
    I know that M3 is able to play those games without patching, NOW, as you state.
    It has a pretty good compatibility and has frequent updates.
     
  5. Beware

    Beware GBAtemp Advanced Fan

    Member
    991
    16
    Apr 5, 2007
    United States
    Get an AceKard 2i. Better updates than both of those companies, perfect compatibility, brilliant price.
     
  6. kohkindachi
    OP

    kohkindachi GBAtemp Fan

    Member
    464
    1
    Sep 7, 2006
    Senegal
    I can't use AK2i on my ndsl. Bought 2 times and failed 2 times lol so i'm sticky with the 2 I've stated [​IMG]
     
  7. DJ91990

    DJ91990 Dark-Type Trainer

    Member
    936
    101
    Feb 9, 2009
    United States
    Oakwood Region
    Do you already own those two cards? If not, I'd get an Acekard2i and download AKAIO. YOU CAN CONNECT TO YOUR Wii!!
     
  8. kohkindachi
    OP

    kohkindachi GBAtemp Fan

    Member
    464
    1
    Sep 7, 2006
    Senegal
    I'll but ak2i when I've ndsi [​IMG]
     
  9. DeMoN

    DeMoN GBAtemp Guru

    Member
    7,651
    102
    May 12, 2004
    United States
    Pokemon Platinum and Kingdom Hearts both worked without needing a new firmware update. It took Team Cyclops about a week to fix Mario and Luigi, and it was one of the first flash carts to have it fixed.
     
  10. Beware

    Beware GBAtemp Advanced Fan

    Member
    991
    16
    Apr 5, 2007
    United States
    AK2i should work perfectly fine on your DSL! Where did you get your AK2i?